{ pkgs, home-manager, ... }:
{

  environment.sessionVariables = {
    XCURSOR_SIZE = "18";
    HYPRCURSOR_SIZE = "18";
  };

  home-manager.users.willifan = {
    home.pointerCursor = {
      gtk.enable = true;
      name = "Bibata-Modern-Classic";
      package = pkgs.bibata-cursors;
      size = 18;
    };
  };
}